package com.zy.omp.controller.pc;

import com.zy.omp.common.ServerResponse;
import com.zy.omp.pojo.io.pc.UserIO;
import com.zy.omp.service.UserService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 用户管理
 *
 * @author chen_yi
 * Create on 2020/8/1
 */
@RestController
@RequestMapping("omp/api/pc/user")
public class PcUserController {

    @Resource
    private UserService userService;

    /**
     * 分页查询用户集合
     */
    @PostMapping("listPage.do")
    public ServerResponse listPage(UserIO io) {
        return ServerResponse.createBySuccess(userService.listPage(io));
    }
}
