package com.zy.omp.utils;

import com.github.dozermapper.core.DozerBeanMapperBuilder;
import com.github.dozermapper.core.Mapper;

/**
 * @author yangxiaokun
 * Create on 2021/1/5
 */
public class BeanUtil {
    private static Mapper mapper = DozerBeanMapperBuilder.buildDefault();

    /**
     * 强转 类型
     *
     * @param source      源对象
     * @param targetClass 目标class
     */
    public static <T> T cast(Object source, Class<T> targetClass) {
        return mapper.map(source, targetClass);
    }
}